<?php

require('startinclude.php');
$user=parametro("user","");
$clave=parametro("clave","");

if ($user=="") {
	$usuario="";
	$login="";
	$clave="";
	$nombre="";
	$nivel="";

	fijar_login($login,$clave,$nombre,$nivel);
} else {
	$clave=str_replace("'","",$clave);
	$user=str_replace("'","",$user);
	$sql="select * from pf_usuario where nombre_usuario='$user' and clave='$clave'";
	$filas=0;
	$resultado="";
	ejecutarsql($sql,&$filas,&$resultado);	
	if ($filas) {
		$_SESSION["id_usuario"]=mssql_result($resultado,0, "id_usuario");
		$_SESSION["tipo"]=mssql_result($resultado,0, "tipo");
		$_SESSION["nombre_usuario"]=mssql_result($resultado,0, "nombre_usuario");
		$basura="";
		
		fijar_login($_SESSION["id_usuario"],$basura,$_SESSION["nombre_usuario"],$_SESSION["tipo"]);
		
		
		$usuario=$_SESSION["id_usuario"];
	} else {
		
		$usuario="";
	}
}


if ($usuario) {
?>
<head>
<link href="./favicon.ico" rel="shortcut icon"/>
<link href="./favicon.png" rel="icon"/>
<meta name="author" content="Jorge Castro Castillo">
<title>ATS INTECH PREFRIO 2010</title>	
</head>
<frameset id="TopFrame" rows="134, 80%" cols="1*">
<frame name="framesuperior" id='framesuperior' scrolling="no" marginwidth="10" marginheight="14" src="frame1.php">
<frame name="frameinferior" id='frameinferior' scrolling="auto" marginwidth="10" marginheight="14" src="master_enc.php">
<noframes>
<body bgcolor="#FFFFFF" text="#000000" link="#0000FF" vlink="#800080" alink="#FF0000">


<p>Lo siento, su navegador no soporta frames y por lo tanto no puede ver esta pagina</p>
</body>
</noframes>
</frameset>
<?
} else {

	$sql="select * from pf_version";
	@$resultado=mssql_query($sql,$conn);
	$version_db=mssql_result($resultado,0, "version");
	if ($version_db!="27102010") {	
		include "revision.php";
		$sql="update pf_version set version='27102010'";		
		@$resultado=mssql_query($sql,$conn);
		
		// parche para la version 01022008
		/*
		$sql="select count(*) contador from pf_sensorxcamara where limite_minimo<-100 or limite_maximo>100;"; 
		@$resultado=mssql_query($sql,$conn);
		$encontrado=@mssql_result($resultado,0, "contador");
		if (!$encontrado) {
			$sql="update pf_sensorxcamara set limite_minimo=limite_minimo*10, limite_maximo=limite_maximo*10;"; 
			@$resultado=mssql_query($sql,$conn);		
			$sql="update pf_sensorxproceso set limite_minimo=limite_minimo*10, limite_maximo=limite_maximo*10;"; 
			@$resultado=mssql_query($sql,$conn);		
			
		}	
		*/	
		/*$sql="select count(*) contador from pf_menu where id_menu=420;"; 
		@$resultado=mssql_query($sql,$conn);
		$encontrado=@mssql_result($resultado,0, "contador");
		if (!$encontrado) {		
			$sql="insert into pf_menu([id_menu],[nombre_menu],[icon],[nivelminimo],[paginaphp]) values (420,'Ver Procesos','row.gif',1,'whistorico_procesos.php');";
			@$resultado=mssql_query($sql,$conn);
		}
		$sql="select count(*) contador from pf_menu where id_menu=430;"; 
		@$resultado=mssql_query($sql,$conn);
		$encontrado=@mssql_result($resultado,0, "contador");
		if (!$encontrado) {		
			$sql="insert into pf_menu([id_menu],[nombre_menu],[icon],[nivelminimo],[paginaphp]) values (420,'Ver Resumen Procesos','row.gif',1,'wtodo_procesos.php');";
			@$resultado=mssql_query($sql,$conn);
		}
		*/


	} else {
		include "login.php";
	}


} // if
?>